Bug 681885 - [RFE] Replace python event loop code, with use of new libvirt event APIs
[RFE] Replace python event loop code, with use of new libvirt event APIs
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Virtualization Manager
Classification: Red Hat
Component: vdsm (Show other bugs)
3.2.0
Unspecified Unspecified
high Severity unspecified
: ---
: 3.2.0
Assigned To: Vinzenz Feenstra [evilissimo]
Pavel Stehlik
virt
: EasyFix, FutureFeature
Depends On:
Blocks: 915537
  Show dependency treegraph
 
Reported: 2011-03-03 09:25 EST by Daniel Berrange
Modified: 2015-09-22 09 EDT (History)
9 users (show)

See Also:
Fixed In Version: vdsm-4.10.2-4.0
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-01-19 04:15:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
oVirt gerrit 5015 None None None Never

  None (edit)
Description Daniel Berrange 2011-03-03 09:25:23 EST
Description of problem:
Currently VDSM has an event loop which uses the libvirt  python events demo code. This has been quite buggy and although it appears to mostly work now, it would be desirable to have VDSM use an impl that can be better maintained. To address this, libvirt is going to expose 2 new APIs to let applications use the event loop impl that libvirtd has.

Once this series is accepted upstream & available in RHEL, it will be desirable for VDSM to use this

http://www.redhat.com/archives/libvir-list/2011-March/msg00093.html

RHEL will likely get this functionality in the libvirt rebase for 6.2

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 2 Dan Kenigsberg 2012-06-17 14:43:10 EDT
http://gerrit.ovirt.org/#/c/5015/
Comment 4 Michal Skrivanek 2012-12-10 07:02:20 EST
merged u/s as: 88911ed71dafc11cac492c978c549f4913e29abc
Comment 12 Itamar Heim 2014-01-19 04:15:10 EST
3.2 GA'd a while ago

Note You need to log in before you can comment on or make changes to this bug.